VDPAU

Typedefs | Enumerations
Error Handling
Core API
Collaboration diagram for Error Handling:

## Typedefs
typedef char const * | VdpGetErrorString(VdpStatus status)
| Retrieve a string describing an error code.

## Enumerations
enum | VdpStatus { VDP_STATUS_OK = 0 , VDP_STATUS_NO_IMPLEMENTATION , VDP_STATUS_DISPLAY_PREEMPTED , VDP_STATUS_INVALID_HANDLE , VDP_STATUS_INVALID_POINTER , VDP_STATUS_INVALID_CHROMA_TYPE , VDP_STATUS_INVALID_Y_CB_CR_FORMAT , VDP_STATUS_INVALID_RGBA_FORMAT , VDP_STATUS_INVALID_INDEXED_FORMAT , VDP_STATUS_INVALID_COLOR_STANDARD , VDP_STATUS_INVALID_COLOR_TABLE_FORMAT , VDP_STATUS_INVALID_BLEND_FACTOR , VDP_STATUS_INVALID_BLEND_EQUATION , VDP_STATUS_INVALID_FLAG , VDP_STATUS_INVALID_DECODER_PROFILE , VDP_STATUS_INVALID_VIDEO_MIXER_FEATURE , VDP_STATUS_INVALID_VIDEO_MIXER_PARAMETER , VDP_STATUS_INVALID_VIDEO_MIXER_ATTRIBUTE , VDP_STATUS_INVALID_VIDEO_MIXER_PICTURE_STRUCTURE , VDP_STATUS_INVALID_FUNC_ID , VDP_STATUS_INVALID_SIZE , VDP_STATUS_INVALID_VALUE , VDP_STATUS_INVALID_STRUCT_VERSION , VDP_STATUS_RESOURCES , VDP_STATUS_HANDLE_DEVICE_MISMATCH , VDP_STATUS_ERROR }
| The set of all possible error codes. More...

## Detailed Description

## Typedef Documentation

## ◆ VdpGetErrorString

typedef char const * VdpGetErrorString(VdpStatus status)

Retrieve a string describing an error code.

Parameters

  [in] | status | The error code.

Returns
  A pointer to the string. Note that this is a statically allocated read-only string. As such, the application must not free the returned pointer. The pointer is valid as long as the VDPAU implementation is present within the application's address space.

## Enumeration Type Documentation

## ◆ VdpStatus

enum VdpStatus

The set of all possible error codes.

Enumerator
VDP_STATUS_OK | The operation completed successfully; no error.
VDP_STATUS_NO_IMPLEMENTATION | No backend implementation could be loaded.
VDP_STATUS_DISPLAY_PREEMPTED | The display was preempted, or a fatal error occurred. The application must re-initialize VDPAU.
VDP_STATUS_INVALID_HANDLE | An invalid handle value was provided. Either the handle does not exist at all, or refers to an object of an incorrect type.
VDP_STATUS_INVALID_POINTER | An invalid pointer was provided. Typically, this means that a NULL pointer was provided for an "output" parameter.
VDP_STATUS_INVALID_CHROMA_TYPE | An invalid/unsupported VdpChromaType value was supplied.
VDP_STATUS_INVALID_Y_CB_CR_FORMAT | An invalid/unsupported VdpYCbCrFormat value was supplied.
VDP_STATUS_INVALID_RGBA_FORMAT | An invalid/unsupported VdpRGBAFormat value was supplied.
VDP_STATUS_INVALID_INDEXED_FORMAT | An invalid/unsupported VdpIndexedFormat value was supplied.
VDP_STATUS_INVALID_COLOR_STANDARD | An invalid/unsupported VdpColorStandard value was supplied.
VDP_STATUS_INVALID_COLOR_TABLE_FORMAT | An invalid/unsupported VdpColorTableFormat value was supplied.
VDP_STATUS_INVALID_BLEND_FACTOR | An invalid/unsupported VdpOutputSurfaceRenderBlendFactor value was supplied.
VDP_STATUS_INVALID_BLEND_EQUATION | An invalid/unsupported VdpOutputSurfaceRenderBlendEquation value was supplied.
VDP_STATUS_INVALID_FLAG | An invalid/unsupported flag value/combination was supplied.
VDP_STATUS_INVALID_DECODER_PROFILE | An invalid/unsupported VdpDecoderProfile value was supplied.
VDP_STATUS_INVALID_VIDEO_MIXER_FEATURE | An invalid/unsupported VdpVideoMixerFeature value was supplied.
VDP_STATUS_INVALID_VIDEO_MIXER_PARAMETER | An invalid/unsupported VdpVideoMixerParameter value was supplied.
VDP_STATUS_INVALID_VIDEO_MIXER_ATTRIBUTE | An invalid/unsupported VdpVideoMixerAttribute value was supplied.
VDP_STATUS_INVALID_VIDEO_MIXER_PICTURE_STRUCTURE | An invalid/unsupported VdpVideoMixerPictureStructure value was supplied.
VDP_STATUS_INVALID_FUNC_ID | An invalid/unsupported VdpFuncId value was supplied.
VDP_STATUS_INVALID_SIZE | The size of a supplied object does not match the object it is being used with. For example, a VdpVideoMixer is configured to process VdpVideoSurface objects of a specific size. If presented with a VdpVideoSurface of a different size, this error will be raised.
VDP_STATUS_INVALID_VALUE | An invalid/unsupported value was supplied. This is a catch-all error code for values of type other than those with a specific error code.
VDP_STATUS_INVALID_STRUCT_VERSION | An invalid/unsupported structure version was specified in a versioned structure. This implies that the implementation is older than the header file the application was built against.
VDP_STATUS_RESOURCES | The system does not have enough resources to complete the requested operation at this time.
VDP_STATUS_HANDLE_DEVICE_MISMATCH | The set of handles supplied are not all related to the same VdpDevice. When performing operations that operate on multiple surfaces, such as VdpOutputSurfaceRenderOutputSurface or VdpVideoMixerRender, all supplied surfaces must have been created within the context of the same VdpDevice object. This error is raised if they were not.
VDP_STATUS_ERROR | A catch-all error, used when no other error code applies.